// File automatically generated by ESPAM

#ifndef SM_H
#define SM_H
#include "csdfNode.h"
#include <map>

class SM : public csdfNode{
public:
    SM();
    virtual ~SM();

    void main(void *threadarg) override;
    // specific const parameters definition
    std::map<std::string,int> int_params;
  const int neurons = 1;

  //FIFO sizes
    int IP0_fifo_size;
    int OP0_fifo_size;

  const int input_dims = 1;
  //input array definition
    const int input_dim_0 = 48;
    int input[48] = {0};

  const int output_dims = 1;
  //output array definition
    const int output_dim_0 = 2;
    int output[2] = {0};

  //weights array definition
    const int weights_dim_0 = 2;
    const int weights_dim_1 = 48;
    int weights[2][48] = {{0}};

  //specific node parameters and functions
};
#endif // SM_H
